package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.AlarmInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface AlarmInfoDAO {
	int insert(AlarmInfo entity);
	int update(AlarmInfo entity);
	int exist(String id);
	AlarmInfo get(String id);
	int delete(String id);
	AlarmInfo queryLatestAlarm(String type);
	List<AlarmInfo> list();
	List<AlarmInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}